Class PaginatedIssueTabPanelAdaptor

java.lang.Object
com.atlassian.jira.plugin.issuetabpanel.PaginatedIssueTabPanelAdaptor
All Implemented Interfaces:
PaginatedIssueTabPanel

public class PaginatedIssueTabPanelAdaptor extends Object implements PaginatedIssueTabPanel
  • Constructor Details

    • PaginatedIssueTabPanelAdaptor

      public PaginatedIssueTabPanelAdaptor(IssueTabPanel3 issueTabPanel)
  • Method Details

    • createFrom

      public static PaginatedIssueTabPanel createFrom(IssueTabPanel3 issueTabPanel)
    • init

      public void init(IssueTabPanelModuleDescriptor descriptor)
      Specified by:
      init in interface PaginatedIssueTabPanel
    • showPanel

      public boolean showPanel(ShowPanelRequest request)
      Description copied from interface: PaginatedIssueTabPanel
      Indicates whether this tab should be shown on a given issue.
      Specified by:
      showPanel in interface PaginatedIssueTabPanel
      Parameters:
      request - a ShowPanelRequest
      Returns:
      a boolean indicating whether to show the panel or not
    • getActions

      public Page<IssueAction> getActions(GetActionsRequest request)
      Description copied from interface: PaginatedIssueTabPanel
      Returns a sorted list of issue actions wrapped in a Page object. This method will only be called if showPanel returned true for a given context. The request parameter contains the user that is viewing the tab, information as to whether the tab is being loaded using an AJAX request, and so on.

      Note that for the 'all' tab, the returned actions will be displayed in order according to the value returned by IssueAction.getTimePerformed().

      Specified by:
      getActions in interface PaginatedIssueTabPanel
      Parameters:
      request - a GetActionsRequest
      Returns:
      the actions to display
    • paginationSupported

      public boolean paginationSupported()
      Description copied from interface: PaginatedIssueTabPanel
      Indicates whether the tab supports pagination.
      Specified by:
      paginationSupported in interface PaginatedIssueTabPanel
      Returns:
      true if pagination is supported in the tab, false otherwise